summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorlassulus <lassulus@googlemail.com>2013-05-23 21:28:01 +0200
committerlassulus <lassulus@googlemail.com>2013-05-23 21:28:01 +0200
commit0ee9d729554c7ceb40a962a18eb6d64a1c962338 (patch)
tree35c660f4bb8b6c2cf6aa010c8605bb692554d6c2
parent107991ba0d1a6710389902abbe41eb42c7af05bf (diff)
now with easybox module
-rwxr-xr-xusr/bin/autowifi3
-rwxr-xr-xusr/lib/autowifi/easybox38
2 files changed, 40 insertions, 1 deletions
diff --git a/usr/bin/autowifi b/usr/bin/autowifi
index bbd6258f..f6e26a1e 100755
--- a/usr/bin/autowifi
+++ b/usr/bin/autowifi
@@ -53,5 +53,6 @@ iwlist_scan(){
esac
done; echo WIFI_COUNT=$count)
}
+
iwlist_scan > /tmp/${wifi}.scan
-connect_wifi "$@"
+
diff --git a/usr/lib/autowifi/easybox b/usr/lib/autowifi/easybox
new file mode 100755
index 00000000..e5323977
--- /dev/null
+++ b/usr/lib/autowifi/easybox
@@ -0,0 +1,38 @@
+#!/bin/sh
+#ESSID MAC CHANNEL ENCRYPTION WPA WPA2
+if ! echo $1 | grep -qi Easybox; then
+ exit 1
+else
+ MAC=${2?\$2 must be MAC}
+
+ # Take the last 2 Bytes of the MAC-Address (0B:EC), and convert it to decimal.
+
+ take5=${MAC:12}
+ last4=${take5/:/}
+
+ # Fill up to 4 places with zeros, if necessary:
+ deci=$(printf "%04d" "0x$last4" | sed 's/.*\(....\)/\1/;s/./& /g')
+ #echo M4: ${deci[@]}
+ #
+ # The digits M9 to M12 are just the last digits (9.-12.) of the MAC:
+ hexi=$(echo ${MAC:12:5} | sed 's/://;s/./& /g')
+ #echo 'M4 (Hex): ' ${hexi[@]}
+ # K1 = last byte of (d0 + d1 + h2 + h3)
+ # K2 = last byte of (h0 + h1 + d2 + d3)
+ c1=$(printf "%d + %d + %d + %d" ${deci:0:1} ${deci:2:1} 0x${hexi:4:1} 0x${hexi:6:1})
+ c2=$(printf "%d + %d + %d + %d" 0x${hexi:0:1} 0x${hexi:2:1} ${deci:4:1} ${deci:6:1})
+ K1=$((($c1)%16))
+ K2=$((($c2)%16))
+ #printf "K1: %x\n" $K1
+ #printf "K2: %x\n" $K2
+ X1=$((K1^${deci:6:1}))
+ X2=$((K1^${deci:4:1}))
+ X3=$((K1^${deci:2:1}))
+ Y1=$((K2^0x${hexi:2:1}))
+ Y2=$((K2^0x${hexi:4:1}))
+ Y3=$((K2^0x${hexi:6:1}))
+ Z1=$((0x${hexi:4:1}^${deci:6:1}))
+ Z2=$((0x${hexi:6:1}^${deci:4:1}))
+ Z3=$((K1^K2))
+ printf "%x%x%x%x%x%x%x%x%x\n" $X1 $Y1 $Z1 $X2 $Y2 $Z2 $X3 $Y3 $Z3 | tr a-f A-F
+fi